<template>
    <div>
        <component 
            v-if="post"
            class="mt-4 mx-2"
            :is="`app-post-variant-${post.type}`" 
            :post="post" 
        />
        <hr class="mb-4 mt-4" />
        <app-post-create-reply v-if="post" :post="post" @success="$emit('close')"/>
    </div>
</template>
<script>
export default {
    props: {
        post: {
            required: true,
            type: Object,
        }
    }
}
</script>